"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const execute_1 = __importDefault(require("./execute"));
const format_1 = __importDefault(require("./format"));
function validate(query) {
    const output = execute_1.default('validate', query);
    if (output === 'valid') {
        return;
    }
    throw new Error(output);
}
exports.validate = validate;
function parse(query) {
    const output = execute_1.default('parse', query);
    let json = null;
    try {
        json = JSON.parse(output);
    }
    catch (err) {
        // assume sql parsing failed
        throw new Error(output);
    }
    if (!json) {
        return null;
    }
    return format_1.default(json);
}
exports.parse = parse;
//# sourceMappingURL=index.js.map